export class DNSCache {
    /**
     * @param {{rtt: number}} options
     */
    constructor({ rtt }: {
        rtt: number;
    });
    _rtt: number;
    /** @type {Map<string, {resolvedAt: number}>} */
    _resolvedDomainNames: Map<string, {
        resolvedAt: number;
    }>;
    /**
     * @param {Lantern.NetworkRequest} request
     * @param {{requestedAt: number, shouldUpdateCache: boolean}=} options
     * @return {number}
     */
    getTimeUntilResolution(request: Lantern.NetworkRequest, options?: {
        requestedAt: number;
        shouldUpdateCache: boolean;
    } | undefined): number;
    /**
     * @param {Lantern.NetworkRequest} request
     * @param {number} resolvedAt
     */
    _updateCacheResolvedAtIfNeeded(request: Lantern.NetworkRequest, resolvedAt: number): void;
    /**
     * Forcefully sets the DNS resolution time for a request.
     * Useful for testing and alternate execution simulations.
     *
     * @param {string} domain
     * @param {number} resolvedAt
     */
    setResolvedAt(domain: string, resolvedAt: number): void;
}
export namespace DNSCache {
    export { DNS_RESOLUTION_RTT_MULTIPLIER as RTT_MULTIPLIER };
}
import * as Lantern from '../lantern.js';
declare const DNS_RESOLUTION_RTT_MULTIPLIER: 2;
export {};
//# sourceMappingURL=DNSCache.d.ts.map